import { AnimationBuilder } from "@angular/animations";
import { AfterViewInit, ElementRef, EventEmitter, OnChanges, OnDestroy, OnInit, Renderer2, SimpleChanges } from "@angular/core";
import { ControlValueAccessor } from "@angular/forms";
export declare const RADIAL_COLOR_PICKER_VALUE_ACCESSOR: any;
export declare class RadialColorPickerComponent implements OnInit, AfterViewInit, OnChanges, OnDestroy, ControlValueAccessor {
    private el;
    private renderer;
    private animationBuilder;
    protected _uid: string;
    coefficient: number;
    hueValue: number;
    disabled: boolean;
    active: boolean;
    rect: ClientRect;
    knobState: boolean;
    gradientState: boolean;
    private _value;
    private defaultSize;
    private gradientPlayer;
    private knobPlayer;
    color: string;
    colorType: string;
    size: number;
    enterAnimation: boolean;
    exitAnimation: boolean;
    selectToChange: boolean;
    collapsed: boolean;
    collapsible: boolean;
    selected: EventEmitter<any>;
    colorChange: EventEmitter<any>;
    lifecycle: EventEmitter<any>;
    get isExplicit(): boolean;
    get hasEnterAnimation(): boolean;
    get hasExitAnimation(): boolean;
    get isCollapsible(): boolean;
    get isCollapsed(): boolean;
    get getSize(): number;
    set value(value: any);
    get value(): any;
    canvas: ElementRef;
    knob: ElementRef;
    rotator: ElementRef;
    get width(): number;
    get height(): number;
    onChange: (value: any) => {};
    onTouched: () => {};
    notifyValueChange(): void;
    writeValue(obj: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
    constructor(el: ElementRef, renderer: Renderer2, animationBuilder: AnimationBuilder);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterViewInit(): void;
    open(): void;
    close(): void;
    introAnimation(): void;
    outroAnimation(): void;
    onRotate(rotation: any): void;
    angleToHue(rotation: any): number;
    recalculateKnobPosition(): void;
    confirmColor($event: any): void;
    createPlayerForGradient(hasAnimation?: boolean): void;
    createPlayerForKnob(hasAnimation?: boolean): void;
    ngOnDestroy(): void;
}
